RenderSoft CamStudio Help Index

Sorry, your browser does not support frames. Please download a newer browser such as Microsoft Internet Explorer or Mozilla Firefox.


Table of Contents

Contents

  • introduction
  • video basics
  • system requirements
  • what's new
  • command line options
  • notes
  • links
  • credits
  • donations

Recorder

  • getting started
  • setting regions
  • setting video options
  • setting cursor options
  • recording audio from microphone
  • recording audio from speakers
  • audio & video synchronization
  • autopan
  • keyboard shortcuts
  • program options
  • screen annotations
  • video annotations
  • producing flash (SWF) files

SWF Producer

  • getting started
  • operation modes
  • limitations
  • further editing


Command Line Options

CamStudio PlayerPlus

Camstudio PlayerPlus can be launched from the command line (DOS prompt) with the following options:

  • PlayerPlus filename.avi

    This will launch PlayerPlus.exe and load the AVI file (filename.avi) without playing it.

  • PlayerPlus -a filename.avi

    This will launch the AVI file (filename.avi) and play it automatically.

  • PlayerPlus -x filename.avi

    This will launch the AVI file (filename.avi) and play it automatically. The player will exit when the playback is completed.


Credits

This product uses code from certain individuals. The authors of this product would like to express their heartfelt thanks to:

  • Joseph M. Newcomer (Hooks and DLL)
  • Chris Maunder (Hyperlink)
  • Franz Polzer (Transparent Window)
  • Thomas Holme (How to play and record sound, fister application)
  • The author of the article Concerning Video For Windows API. Note that this article is written in Japanese and should be viewed using the Shift_JIS encoding, or try this link which is the page translated to English by Google Translator.
  • Daniel Zilcsak (System Tray Icons)
  • Kenneth M. Reed (MFC Wrapper for SHBrowseForFolder)
  • Chensu (Audio Mixer Functions Demo)
  • Iwasaki Teruyuki (Localization of CamStudio)
  • Davide Calabro (A wrapper class for transparent windows)
  • Dr. Yovav Gad (The Yovav (Horror) PictureShow)
  • Matt Weagle (Using the List Control)
  • Vadim Gorbatenko (Wrapper for AVICap Window)
  • David Fleming (Drag and Drop between and within a CListCtrl)
  • Jesse Ezell (swfsource SDK)
  • The authors of STLPort (www.stlport.org)

We will also like to thank the following individuals:

  • Peggy Tsao (For adding a chapter on CamStudio to her book)
  • Iwasaki Teruyuki (Translation to Japanese)
  • The Patcheur et Koala (Translation to French)
  • Norgia Roberto (Italian Translation)
  • Peter Santing (Dutch Translation)
  • Frank Meier (German Translation)
  • K. Peter (Hungarian Translation)


Donations

If you support CamStudio and will like to see more improvements, you can help by donating:

  • Money - this will be used to offset our:
    • Web hosting cost
    • Development tools
    • Hardware
    • Support time

    To donate with your credit card, please visit this link: www.camstudio.org/donate.

  • Publicity
    • Advertisement space
    • A link or recommendation on your site
    • Email to your friends
    • Success stories

    If your company/organization has installed multiple copies of CamStudio and finds it useful, please send us an email so that we can show it on our site.


RenderSoft CamStudio Help

Sorry, your browser does not support frames. Please download a newer browser such as Microsoft Internet Explorer or Mozilla Firefox.


Introduction

CamStudio Recorder main window

RenderSoft CamStudio is a tool for recording screen activity into standard AVI video files. If you move the cursor, launch a new program, type some text, click a few buttons, or select some menus - anything that you see on your screen - CamStudio will be able to record all these and allow you to play them back later on.

You can use CamStudio to:

  • Create demonstrations of programs by recording the movement of the cursor, the selection of menus, the entering of text or the display of messages. These demonstrations, when shown to users, can illustrate features and usage of the program in a short period time with maximum clarity. The recorded movies can be added to the accompanying help files of commercial software to make them more professional. The recorded videos, if converted to a stream-able format, can also be posted to your websites to enliven them. With broadband becoming more affordable, multimedia websites are the preferred and more effective means of communication.
  • Create movies used in user trainings.
  • Track the progress of a program that executes for a long time.
  • Record the sequence of steps that cause the occurrence of bugs in faulty software.
  • Record a movie stream.
  • Convert AVI files to Flash (SWF) files.

Moving images impact our lives heavily nowadays. A changing image speaks much more than a stationary snapshot. Anyone who has watched a movie understands how the power of animation can immensely enhance the process of communication. By capturing the moving action faithfully on your computer screen, CamStudio is essentially putting this power right onto your computer desktop.

The video files created by RenderSoft CamStudio are saved in the standard AVI (Audio Video Interleave) format, which is used pervasively in many Windows applications that support video, including Microsoft Office. You can effectively paste an AVI file into an Office application just like pasting text.

This ensures maximum compatibility with other software, and you can easily edit the output of CamStudio with a third party video editor.


Links

Website

CamStudio is an Open Source product. Its homepage is www.camstudio.org.

Blog

You might also like to check out the CamStudio blog at: www.camstudio.org/blog.

Source Code

Source code may be obtained at SourceForge.


Logo

CamStudio - Captures Screen Activity into Video


Notes

Quality & Performance

CamStudio creates a movie by sampling the screen on fixed-time intervals. If this sampling frequency is too slow, it may not be able to pick up some cursor movements if the mouse moves too fast. The result of this will be that the cursor will appear to jump, become jerky or even cannot be seen in the recorded movie. It is thus advisable to slow down your mouse movements during recording.

This sampling problem can also happen when you are recording a fast animation. If CamStudio cannot record much faster than the changes in the animation, CamStudio will miss out on some important data and the playback will not be smooth.

Frame Rates

The speed of your computer will directly affect the performance of CamStudio. A slow CPU will unquestionably mean slower frame rates. For the best performance, use the fastest computer available for recording.

Apart from CPU speed, the following factors will also affect the performance of the recording:

  • Recording a movie that covers a large area.
  • Recording pictures that contain many colors in.
  • Running other applications during recording sessions.

File Size

An AVI file usually has a very large file size, especially for those lengthy and detailed videos. This is due to the fact that a video file has to pack hundreds and thousands of images into a single file. It is thus very common to have size exceeding one megabyte.

To reduce the size of the AVI file, you can do the following:

  • Limiting the area of the region being captured.
  • Limiting the (input) rate of which video frames are captured. This can be set in the Capture Frames Every field of Video Options.
  • Changing the compressor and compression quality. By changing the compression quality, you are essentially making a tradeoff between picture quality and the file size.


System Requirements

  • Microsoft Windows 95, 98, Me, NT 4.0, 2000, XP, Vista
  • 400 MHz processor
  • 64 MB RAM recommended
  • 4 MB of hard-disk space for program installation


Video Basics

When you record a movie using CamStudio, you are actually saving a sequence of bitmaps (known as frames), that, when displayed in rapid succession, exhibit motion.

If more frames are recorded per second, the resultant animation will also be smoother. However, this will also cause the file size of the movie to be much larger.

In the process of recording, CamStudio allows you to specify two video rates: the input rate and output rate. The input rate tells your computer how many frames to record per second. The output rate tells your computer how fast to play them back. Usually, these two rates are equal, so that the time of playback is equal to the time used in the recording.

However, these two rates can also be different. Normally, you do this only if you want to create a time-lapse movie. For example, you can capture a frame once every hour and play the frames back at 20 frames per second.

The default value is set at 20 frames per second for the output (playback) rate and 20 frames per second (corresponding to 50 milliseconds sleep time) for the input/capture rate.

There is also a third rate: known as the keyframe rate. When a frame is saved in an AVI file, they can either be saved as a full frame, or only as a difference to the previous frame. This keyframe rate specifies how often full frames are written to the AVI file. A high value means you can fast forward/rewind to a particular frame in your movie much faster. But it also means a larger file size.


What's New / Program History

Version 2.6

  1. Record from speakers feature returned
  2. Tons of minor GUI improvements
  3. Major code refactoring

Version 2.5

  • Recorder

    1. Added recording region by window
    2. Added left and right mouse button visual feedback when clicked
    3. Added true multi-language support for Recorder, SWF Producer and Player
    4. REMOVED recording audio from speakers due to lack of source code
    5. Added recording for a preset amount of time
    6. New Effects menu added with:
      • Add system time stamp to video
      • Add caption to video
      • Add watermark to video (transparency not supported, yet!)

  • SWF Producer

    1. Added redirect URL function so viewers can be taken to another URL immediately after the video has finished playing.
    2. Added a cancel button to the "Converting to SWF" dialog so you can cancel an SWF conversion at any time. You don't have to wait until it's finished or force it to close with CTRL, ALT, DEL.
    3. Fixed Firefox bug when playing a Flash SWF file (caused due to incorrect HTML)

  • Outstanding stuff

    • When using another language, some menus and options are either missing or still in English.
    • Native Vista compatibility not supported, but workaround listed on the blog using XP Compatibility Mode.
    • Documentation not complete(still working on it)

Version 2.0

  1. Flash (.swf) output - you can now produce small, stream-able Flash files with lossless compression (in perfect quality) with CamStudio. This is made possible with the introduction of a new module - the SWF Producer - that is distributed with the CamStudio package. What the SWF Producer basically does is to convert AVI files to Flash (.swf) files. It can convert almost all AVI files to Flash, including those not produced with CamStudio. The SWF Producer can operate in 3 modes:

    1. Standalone mode

      The SWF Producer runs like a normal program. You can launch it by selecting the Tools -> SWF Producer command inside the CamStudio Screen Recorder, or by simply double clicking the Producer.exe file in the installed directory.

    2. Record Directly to Flash

      You can set the CamStudio Recorder to record directly to Flash.

    3. Command-line mode (silence mode)

      The Producer can also be launched on the command line (in DOS Prompt) by typing Producer.exe -b filename.avi When Producer is launched this way, it opens the file "filename.avi" when it starts, automatically converts the AVI movie to Flash, and then exits. It will not issue any error messages during conversion. You can convert multiple AVI files this way.

  2. With the auto-naming feature you can now avoid giving a name to every AVI you record. (Options -> Program Options -> Name of AVI file) The name of the file is automatically formed using the system's date and time of recording and is saved in CamStudio's installed directory.

  3. Improvements to CamStudio Player 2.0 (playplus.exe); the following options are now available when running playplus.exe in the command line mode:

    • playplus -a filename.avi

      This will launch the AVI file (filename.avi) and play it automatically.

    • playplus -x filename.avi

      This will launch the AVI file (filename.avi) and play it automatically. The player will exit when the playback is completed.

Version 1.8

  1. Screen Annotation

    Allows you to display screen captions on your desktop while recording. These captions are anti-aliased, high quality images that can display text in multiple languages. You can also make a caption transparent and create a cutout region for it.

  2. Video Annotation

    Allows you to stream the contents of your web-cam onto your desktop. With this feature, you can add a personal touch to your recordings by including a movie of yourself into the AVI. The video annotations window, like the screen annotations, can be made transparent (Win XP) and assigned a cutout region.

  3. You can now pan the fixed region of recording by dragging any of the four corners around it.

  4. With the new Audio and Video Synchronization feature, you can now shift the video stream slightly to make the audio and video streams be in phase.

  5. Bugs are fixed for keyboard shortcuts that may not function properly in previous versions.

Version 1.6

  1. Recording of sound from your speakers (for sound cards that support this feature).
  2. Capturing of translucent/layered windows (for Windows 2000/XP).
  3. Update of the controls to Win XP look (for Windows XP users only).
  4. Ability to customize the temporary directory for recording. Setting this to an appropriate drive can reduce crashes due to lack of free space.
  5. Some bug fixes (filtering out certain codecs that crash CamStudio).

Version 1.25

  1. Added support for the DivX Codec (for certain image dimensions).
  2. Recording with audio in default settings will no longer give a huge file size.
  3. You may now specify the interleave factor of audio of video in milliseconds instead of frames.
  4. You may now specify the X and Y coordinates of a fixed region before the recording starts.

Version 1.2

  1. Saving of user settings on exit.
  2. Support for user-customizable shortcuts to start/stop the recorder.
  3. An improved video options panel.
  4. A new button for toggling between different views.
  5. CamStudio now minimizes to the system tray. Double click its icon in the system tray to restore CamStudio.


Further Editing

WARNING: This section assumes you already know how to use Flash MX.

You can actually import the .swf produced by CamStudio into the Flash MX editor with the File->Import command. However, this will expand the individual frames and remove the inherent compression in the original .swf file.

Instead, you can use the loadmovie (Actionscript function) to load the file to control or enhance it.

To accomplish this, you need to produce two Flash files and upload both of them on the web. The first file is the raw .swf movie file, produced by CamStudio's Producer with the following option: Produce raw movie for further editing in Flash MX editor.

The second file is a container file that loads the first file using the loadmovie function. This file is created in the Flash MX editor and can be used to control the first file. As an example:

Within the Flash MX editor...

  1. Start a new Flash MX Project.

  2. Create a blank Movie Clip Symbol by choosing Insert->New Symbol and selecting the Movie Clip radio button. Give a name, say 'movie', to the symbol.

  3. Instantiate the Symbol by clicking Choose Window->Library and dragging the symbol 'movie' into your scene.

  4. Select the 'movie' instance that you have dragged into your scene, and add the following ActionScripts to it. (Assuming you have already saved a file 'untitled.swf' produced by CamStudio in the folder 'C:\folder1')

    onClipEvent (load)
{
    this.loadMovie ("C:\folder1\untitled.swf", "");
}

  5. Press Ctrl+Enter to test the movie.

  6. Export the .swf file. This file is the container for untitled.swf. When you upload the container .swf, you will of course have to change the local folder in the actionscript to something like this.loadMovie ("http://www.domain.com/flashmovie/untitled.swf", "");, or you can simply use 'untitled.swf' without any path, and put the file untiled.swf in the same folder with the container.

After you have successfully created the container to load the movie, you can enhance it further by adding a pre-loader or a control bar with play/stop/pause buttons.


Getting Started with SWF Producer

Getting Started

SWF Producer main window

CamStudio SWF Producer converts AVI movies to Flash (.swf) files. Normally, an AVI converted to SWF by the producer results in a much smaller file that can be streamed across the internet.

The SWF Producer is able to convert AVIs to Flash files in a lossless manner. This means there is no degradation of image quality or decrease in frame rates. For an AVI with small dimensions running at high frame rates, the .swf filesize is about 30% of the original AVI file. For large image-sized AVIs, the reduction in file size is even more dramatic, with the converted file being only 5% of the original AVI.

You can even further enhance the .swf produced by CamStudio by loading it in a container in Flash MX editor. For more details, please refer to the section on Further Editing of the Flash (.swf) movie.


Limitations

The SWF Producer is most effective for converting files that are created as tutorials. These AVIs are usually characterized by:

  1. Having a limited number of colors (i.e. do not have many gradient-filled regions)
  2. Not changing much in between each frame, except for the mouse movements
  3. Being saved in perfect quality (e.g. with the Microsoft Video 1 codec at quality set to 100)

For AVI files that do not hold the above attributes, the compression algorithm in the SWF Producer will not work well and may even cause the SWF file to be much larger than the AVI file.


Operation Modes

The SWF Producer can operates in 3 modes:

Standalone Mode

The first mode runs like a normal program. You can launch it by selecting the Tools->SWF Producer command inside the CamStudio Screen Recorder. Or you can simply double click the Producer.exe file in the installed directory.

To convert a file, simply click the Convert button. The producer will ask you for an AVI file to convert. It will then display a dialog box below where you can adjust some of the conversion parameters.

General Conversion Parameters

Conversion to Flash - General tab

The Output Filename items let you indicate the name of the (.swf) to generate. You can choose a different filename by clicking on the Change button. The producer will also create an accompanying HTML file that will be opened when the conversion is completed. You can thus preview the .swf movie in your internet browser.

The Video Properties items let you specify the color display mode of the Flash movie. It can be 16-bit or 32-bit. A 16-bit movie will give a smaller file size, but may affect the display quality slightly.

When the SWF Producer converts the AVI, it actually behaves like a player that plays back the AVI and re-samples/re-captures the frames at fix periods of time. The Sample rate is the number of frames that is sampled every second. This rate is also used in the playback of the Flash (.swf) movie. A higher rate will result in a smoother playback, but a large value is not necessary if the original AVI itself is not playing at high speed.

The Producer generates Flash movie frames using a temporal compression algorithm. To save space, it does not save every frame for each frame it samples or captures. Instead, the difference between the current frame and the previous frame is stored. The Producer thus periodically store a full frame (Keyframe) followed by a number of difference frames (Intermediate Frames). The Keyframe Rate indicates the number of Intermediate Frames that will follow each Keyframe. A higher value usually means higher compression.

You also can Encode the Audio to the Flash movie if there is an audio track in the AVI. You can encode it without compression (PCM) or with compression (ADPCM).

Please note: the audio track in the original AVI may already be compressed in some format that is incompatible with Flash (e.g CCITT u-law or CCITT A-law ). In this case, CamStudio Producer will attempt to convert it to PCM and then reconvert to, say ADPCM, before actually saving the sound stream to the Flash file.

Sometimes, the audio conversion stage indicated above may fail. You may get error messages such as 'Error Opening Audio File for Conversion'. In this case, you can solve this by pre-converting the audio track in the AVI file to the PCM format. This can easily be achieved with a third party video editor (such as VirtualDub).

Behavior Group

The Add Player Controls item, when checked, will add a play, stop and pause button to the Flash movie.

The Loop item will cause the Flash movie to go back to the 1st frame when it has finished playing. Otherwise, it will stop at the last frame.

The Autostart item will cause the Flash movie to play automatically when launched. If this item is turned off, you will need to add player controls to the Flash movie. Otherwise, the Flash movie will always stop at the 1st frame and there is no provision (no play button) for users to play it.

If Loop is selected, but AutoStart is turned off, the Flash movie, when it has finished playing, will go the 1st frame and stop there.

The Add Preloader + Progressbar checkbox adds a 'Loading...' message to the SWF file. A progress bar at the bottom indicates the fraction of loading that is completed.

If you select the Produce raw movie checkbox, CamStudio will produce a linear SWF file without the Preloader and Player buttons. This raw movie can be loaded/enhanced by the Flash MX editor.

For more details, please refer to the section on Further Editing of the Flash (.swf) movie.

SWF Interface Parameters

Conversion to Flash - Interface tab

This panel allows you to customize the message that the preloader displays when the SWF file is being loaded. The default message is 'Loading...', but you can easily translate the message into a different language by choosing another bitmap. Alternatively, using your company's logo as the preloader image may give the Flash file a professional touch.

When the Flash Player has downloaded a SWF file partially, it will start playing the movie. The Percentage of movie to preload refers to the fraction of the movie that will be loaded before the playing starts.

If you want to make the dimension of the Flash file to be larger than the dimension of the AVI movie, you can specify a non-zero width and height for the borders around the movie. The borders are, by default, white in color. However, if you need to match colors with your custom controller (i.e custom play buttons etc.), you can change the border colors by clicking the 'Background Color' button.

If you want to customize the graphics for the controller interface, you can do so by editing the bitmap files in the <CamStudio Installation Folder>/controller directory. You are advised to use graphics with the same dimensions as the original bitmaps. Otherwise you will need to edit the Controller.ini file (in the /controller subfolder) with a text editor.

Advanced Conversion Parameters

Conversion to Flash - Advanced tab

The Manage Flash Player Memory will reduce unnecessary memory usage. It achieves this by freeing objects/frames that have already been displayed. However, because of this, movies with the 'Loop' option will need to reload every time they have completed playing.

If your AVI file is very large, CamStudio will not be able to squeeze all the information into a SWF file. This is due to the 16000 frame limit imposed by the Flash player. In this case, CamStudio will split your movie into several SWF files that are chained together. For deployment, you will need to upload all the SWF files to your server.

You have the option not to chain the SWFs together if you are creating an external SWF file that will load and manage them. This assumes you are very experienced in using actionscripts in the Flash MX editor and is thus not covered in this help file.

Internal Mode

You can set the CamStudio Recorder to record directly to Flash. This is toggled by the SWF button in the CamStudio Recorder.

Silence Mode

The Producer can also be launched on the command line (in DOS Prompt) by typing Producer -b filename.avi.

When Producer is launched this way, it opens the file 'filename.avi' and automatically converts the AVI movie into a Flash file and then exits. It will not issue any error messages or display any HTML preview during conversion. As such, it is useful for converting multiple copies of AVI into Flash files.

The output file name will usually be filename.swf, and will be stored in the same directory as filename.avi. Additionally, a second file, filename.swf.html, will also be generated for testing the SWF file.

For example, you can create a batch file with the following commands:

Producer -b c:\folder1\demo1.avi
Producer -b c:\folder2\demo2.avi
Producer -b c:\folder3\demo3.avi

By running the batch file, you will be able to obtain the following output files after conversion:

C:\folder1\demo1.swf
C:\folder1\demo1.swf.html
C:\folder2\demo2.swf
C:\folder2\demo2.swf.html
C:\folder3\demo3.swf
C:\folder3\demo3.swf.html

For Advanced Users

You can also place a text file CamStudio.Producer.param in the directory of Producer.exe. When producer is launched with the -b option, it will first search for this file and attempt to override the default parameters with the values indicated in this file. An example of this file is found in CamStudio's installed directory as CamStudio.Producer.ini. Following is a table of parameters:

parameter | default value | description
Max_HalfKeyDepth | 15 | key frame rate (5, 10, 12, 15, 20)
FrameOffsetX | 0 | add a border with the specified thickness to the left and right of the swf movie (valid values 0 to 200)
FrameOffsetY | 0 | add a border with the specified thickness to the top and bottom of the swf movie (valid values 0 to 200)
useAudio | 1 | encode audio (0 for no, or 1 for yes)
useAudioCompression | 1 | 0 = PCM, 1 = ADPCM
sampleFPS | 40 | sample or playback rate (5, 10, 12, 15, 20, 25, 30, 35, 40)
convertBits | 16 | 16 or 32 bit graphics (valid values 16 or 32)
NoLoop | 0 | 1 means no loop, 0 indicates looping
noAutoPlay | 0 | A value of 1 means the movie will stop on first frame, 0 means the movie will play on start
addControls | 0 | add play, stop and pause buttons to the movie (value 1 or 0)
controlsHeight | 25 | height of the control bar
adpcmBPS | 5 | if compressing audio to ADPCM, this value is the number of bits to compress to. Valid values are 2, 3, 4 and 5 (5 = least compression, highest quality)
blocksize_x | 64 | for a large movie image, use 128; for small movie, the suggested value is 32
blocksize_y | 64 | for a large movie image, use 128; for small movie, the suggested value is 32
swfbar_red | 0 | red component of the control bar (if addControls = 1) value 0 - 255
swfbar_green | 0 | green component of the control bar (if addControls = 1) value 0 - 255
swfbar_blue | 255 | blue component of the control bar (if addControls = 1) value 0 - 255
swfbk_red | 255 | red component of background (valid only if FrameOffsetX is greater than 0) value 0 - 255
swfbk_green | 255 | green component of background (valid only if FrameOffsetX is greater than 0) value 0 - 255
swfbk_blue | 255 | blue component of background (if FrameOffsetX or FrameOffsetY is greater than 0) value 0 - 255
swf_bits_per_sample | 16 | For bits per sample (valid values are 8 or 16) | The following 3 parameters are applicable only if your AVI contains an audio track that is non-PCM. The SWF Producer converts the audio internally to PCM by making use of these values, before further compressing it or saving it to the Flash file.
swf_samples_per_seconds | 22050 | For samples per second (valid values are 11025, 22050, 44100)
swf_num_channels | 2 | For channels (valid values are 1 = mono, 2 = stereo)
allowChaining | 1 | If the AVI is split into several SWF files because it is too large, each of the SWF files will automatically load the next SWF when it has completed playing. (value 0 or 1)
freecharacter | 0 | If value is 1, performs garbage collection within the Flash Player. Results in better utilization of memory. (value 0 or 1)
percentLoadedThreshold | 0.70 | Fraction of movie to preload (range 0.1 to 1.0)
addPreloader | 1 | Adds a preloader and progressbar to the Flash file. (value 0 or 1)
produceRaw | 0 | Produce a raw SWF file for further editing with the Flash MX editor. Usually, you use the 'loadmovie' actionscript function to load the raw SWF file.

Please note: When editing this file you should not change the order of the parameters in the file or insert/delete any properties. You should also not put any additional spaces around the equal sign. An invalid value can cause the Producer to give unexpected results.


Audio & Video Synchronization

(From the main menu, choose Options>Audio Options->Audio and Video Synchronization)

Audio and Video Synchronization dialog

If the video and audio track of your recording is not in phase during playback, you can try to shift a stream slightly to make them back in sync. This may happen if you are recording the output of a webcam. The amount of shift is measured in milliseconds, and the appropriate value for the shift can usually be determined after a few trail recordings with different time shift values.

Note: The dialog above only handles the case when the audio streams appear to go before the video.


Autopan

If this option is selected, the capture area will follow the cursor to wherever it goes during recording. This has the effect of making the screen capture to occur at the region with the most action.

Enabling

(From the main menu, choose Options->Enable Autopan)

Speed

(From the main menu, choose Options->Autopan Speed)

Use this to control the maximum speed at which the capture area follows the mouse. The value is measured in screen pixels.

Autopan Speed dialog


Getting Started with Recorder

Getting Started

Record To start recording, click the red button. A rectangle will appear for you to select the area you want to record.

Stop When you want to stop recording, click the blue stop button. A dialog will appear for you to name and save the file.

Pause To pause a recording to adjust your screen, click the pause button. You can resume recording by clicking on the record button again.


Keyboard Shortcuts

(From the main menu, choose Options->Keyboard Shortcuts)

Keyboard Shortcuts dialog

Use the Keyboard Shortcuts dialog box to customize your shortcut keys for starting, stopping or canceling your recording operation.

You can also set your keys for displaying the Next Layout and Previous Layout. For more information on layouts, refer to the section on Screen Annotations.


Producing Flash (SWF) Files

CamStudio allows you to produce Flash files in two ways:

Record Directly To Flash

To record directly to Flash, simply click the SWF button to toggle the recording mode to Record to SWF. After that you may proceed in the same way as you record an AVI file.

There are a few options that you can adjust prior to recording to Flash. These are accessed with the Options->Record to Flash commands in the menu.

SWF options menu

The Preview SWF File upon completion instructs CamStudio to display your Flash movie in a HTML file when the production is completed.

The process of recording to SWF actually involves multiple steps. CamStudio in fact record your screen activity to an intermediate AVI file first, before converting it to a Flash (SWF) file. The Delete the intermediate AVI file upon completion setting thus instructs CamStudio to delete the intermediate AVI file when the conversion is completed. You may want to preserve the AVI file just in case you'll like to edit it in an AVI editor, but that will take up plenty of space on your hard disk, as the format of the AVI is saved with minimal compression settings.

The production an SWF file is affected by many parameters in the SWF Producer. These parameters are, by default, hidden from users, but may be revealed if you turn on the Display conversion options before generating SWF setting. For a full description of these parameters, please refer to the section on Conversion Parameters in the SWF Producer help file.

Convert Existing AVI

The CamStudio distribution package includes a module known as the SWF Producer that is able to convert an AVI file to SWF. This is actually a separate program that can function independently of the CamStudio Screen Recorder.

The SWF Producer is launched by selecting Tools->SWF Producer from the CamStudio Recorder menu, selecting CamStudio->SWF Producer from the Start Menu, or by double clicking Producer.exe in CamStudio's installed directory.

While the SWF Producer works best with the AVI files recorded with CamStudio, it is in fact capable of converting most AVI files created by third party products. Normally, Flash files generated by the SWF Producer results in a much smaller file than the original AVI. For a full description of the usage of the SWF Producer, please refer to the topic on Standalone mode in the SWF Producer help file.


Program Options

(From the main menu, choose Options->Program Options)

Use the program options to customize the way the program behave when it starts/stops recording. A tick beside the menu item indicates that option is enabled.

  • Save Settings on Exit

    The Save Settings on Exit option allows you to save the program settings when you exit. These settings will be loaded the next time you launch CamStudio.

    If you run CamStudio and find that it does not work as well as in previous sessions, most likely your saved settings is not tuned very well or is corrupted. You may want to reset your settings by turning off the Save Settings on Exit option, exit CamStudio, and launch CamStudio again.

  • Minimizing CamStudio

    CamStudio is minimized to the system tray instead of the taskbar. To restore CamStudio, double click its icon in the system tray.

    CamStudio's system tray icon

  • Play AVI file when recording stops

    In here, you can choose to:

    • Do nothing when the recording stops.

    • Play the AVI file when the recording stops (using CamStudio Player).

    • Play the AVI file when the recording stops (using your system's default player).

  • Capture translucent/layered windows

    In Windows 2000 or XP, there are certain windows that are translucent/layered and cannot be captured without turning this option on. An example is the Office Assistant in Office 2000.

  • Temporary directory for recording

    CamStudio creates temporary files while it is performing recording. These temporary files can become very large and crash your system if your system runs out of disk space.

    You can set the directory for placing your temporary files by selecting one of these:

    • Windows Temporary Directory (Usually C:\Windows\Temp)
    • Installed Directory of CamStudio (Usually C:\Program Files\CamStudio)
    • User Specified Directory

    If you are using the User Specified Directory, you should always choose a directory that resides in the drive with the largest free space.

  • Recording Thread Priority

    Some programs, when set as the active window, use the system resources so heavily that they cause CamStudio to be unusable. The frame rate in these cases drop to 0 - 5 frames per second (even if only a small region is being captured). Examples include some DirectX games or CPU intensive simulations.

    To improve the performance of CamStudio at the expense of these programs, you can set the recording priority of CamStudio to Highest or Time Critical. However, doing this may also affect the performance of your whole system (For example, Windows may not respond to some mouse clicks on your Desktop). Therefore, for most cases, this option is best left at Normal.

  • Name of AVI

    With auto-naming, you can now avoid giving a name to every AVI you record. The name of the file will have the following format 1422003_1520_26.avi and is saved in CamStudio's installed directory.

    The name is formed using the system's date and time of the recording.

    1422003_1520_26.avi means the file is saved on 14th of February, 2003, 3.20 p.m (1520), at the 26th second.

  • Troubleshoot

    This dialog allows you to diagnose and resolve some problems. Currently, it can handle the following:

    • If you find that many of your multimedia applications record from the speakers instead of the microphone after CamStudio exits, you can select the checkbox to reset the settings.

For other problems please refer to our FAQ at: http://www.camstudio.org/faq.htm.


Recording Audio From Microphone

(From the main menu, choose Options->Record audio from microphone)

You can add a soundtrack to your movie by selecting this option. When enabled, CamStudio will record your voice input from the microphone while it is capturing video. You need a sound card with an attached microphone to use this option.

Setting Options

(From the main menu, choose Options->Audio Options->Audio Options for Microphone)

Microphone options dialog

Use this dialog box to set the recording format and compressed format of your audio.

  • Recording Format

    The recording format is the format your soundcard use to record your voice from the microphone. Its main attributes are samples per second (measured in kHz), mono/stereo input, and bits per sample (usually 8 or 16 bit). Larger values for samples per second and bits per sample will result in better recording quality, but at the expense of the movie file size.

  • Compressed Format

    This is the format that will be saved with your movie file. You can click on the 'Choose Compressed Format' button to select another compressed format. After recording your movie, CamStudio will attempt to convert your audio from the recording format to the compressed one.

    Your choices for the compressed format are determined by the recording format. If you change your recording format, the compressed format will also change automatically.

  • Interleave Video and Audio

    Interleave your audio and video for smoother playback on a slow device such as CD-ROM. This will also allow better synchronization of your video and sound content. The interleave factor determines the amount of interleaving in your movie. Normally, this value is specified in number of frames. A value of 1 frame will mean full interleave. Larger values will mean less interleaving.

    You can also specify the Interleave factor in milliseconds. If you choose to Interleave a movie every 100ms for a movie with a capture rate of 200 frames per second (Capture Frames Every 5 milliseconds), the Interleave factor will be equivalent to Interleave every 20 frames.

  • Volume

    Use this to adjust the input volume of your microphone if your recorded audio is barely audible. If CamStudio is unable to locate your volume control, you will need to adjust the volume manually through Start : Programs : Accessories: Entertainment : Volume Control.

Please note that some configurations of the Recording and Compressed format will result in the audio recording becoming choppy or inaudible.

Some sound card disallows your system to record while another application is playing sound. In this case CamStudio will issue an error when you attempt to record with the 'Record Audio' option being enabled.

Use System Method For Audio Recording

If you set this checkbox, CamStudio will use certain system commands (MCI commands) to perform the recording of audio from your microphone. This method is more stable and may give better sound quality in some systems.

If you experience low audio quality when recording from CamStudio, but managed to obtain high quality recordings from your system's Sound Recorder, you may want to consider setting this option.

Important

  • CamStudio will ignore all other settings in the Options for Microphone dialog box (except for the Audio Video Interleave setting) if you choose this setting.

  • Instead, to adjust the recording source, you will need to set it externally in the Control Panel->Sounds and Audio Device->(Audio Tab)->Default Recording Device (for Windows XP).

  • If you set the external recording source to a non-soundcard device (e.g webcam microphone), you will need to set it back to your soundcard when you want to record sound from speakers.


Recording Audio From Speakers

(From the main menu, choose Options->Record audio from speakers)

Record audio from speakers menu

By selecting this option, CamStudio will record the output from your speakers while it is capturing video. This is ideal for recording a gaming session or a movie stream. You will need a sound card with speakers attached to use this option.

Please note that not all soundcards support this function, though most modern and branded soundcards usually allow you to record from your speakers.

Setting Options

(From the main menu, choose Options->Audio Options->Audio Options for Speakers)

Speaker options dialog

Most of the time, you only need to adjust the Playback Volume and Recording Volume.

  • Playback Volume

    The Playback Volume controls the volume of your speakers. The sound signals going to your speakers and can originate from a variety of sources. Examples include sound from CD, Microphone, MIDI playback and Wave playback.

  • Recording Volume

    The Recording Volume controls the volume of the recording line.

Important: For a good quality recording, it is important that both the Playback Volume and Recording Volume are not set too high.

  • Soundcard Device

    For most users, the Soundcard Device will already be pointing correctly at your soundcard. However, if it isn't or if your system has more than one soundcard, you will need to set it to the correct one. If the soundcard device is changed, the recording line will no longer be valid and you will need to perform a manual/automatic search for the line.

  • Recording Line Configuration

    In order for CamStudio to record sound from your speakers, it has to search your soundcard for the appropriate line to use. Failure to find the line simply means that CamStudio is unable to record from your speakers. Some soundcards do not support this capability.

    The searching is usually done automatically when you click (Options > Record Audio > Record from speakers). However, if that does not work, you will have to use one of the two methods provided by CamStudio below to carry out additional searching.

    By clicking the Automatic Search button, CamStudio will play a few tones and attempt to automatically detect the line.

    If you select the Manual Search button, CamStudio will ask you a few questions on whether you have heard a tone when a particular line is used. You will need to turn on your speakers and listen carefully.

    Notes:

    • Normally, you do not need to perform a search at all because CamStudio will automatically do that for you when you choose the Record Audio from Speakers option.

    • Please make sure that the Default Recording Device and Default Playback Device is set correctly to your soundcard. CamStudio makes use of certain recording functions that depend on this two devices being properly set. These can be accessed in Control Panel :: Sounds and Audio Devices :: Audio (Tab) in Windows XP. If you have only one soundcard installed in your system, and have not installed other virtual sound devices, you usually do not need to be worried about this.

    • If the recording is set incorrectly, you will not get any audio from your speakers.

    • If you are unable to find a line after the Automatic Search and Manual Search, chances are that your soundcard do not support this function.

    • Please ensure you have installed the latest soundcard drivers to take advantage of this feature.


Screen Annotations

(From the main menu, choose Tools->Screen Annotations)

The Screen Annotations feature allows you to add captions to your screen during recording. An example of a screen annotation is shown below:

Example of a screen annotation

You can display the Screen Annotations dialog box by clicking on the icon [image] or choose Tools->Screen Annotations from the main menu.

Screen Annotations window

To instantiate the shape Orange Gradient, simply double click on it or drag it out of the Screen Annotations dialog box.

Screen annotations consist of two main components: Shapes and Layouts.

Shapes

A shape is just a floating window that will appear on top of all other windows on your desktop. An example is shown below.

Screen annotation - shape

To create the shape above, simply double click on the item Orange Gradient or drag it out of the Screen Annotations dialog box, then to edit it, right-click the shape to display the context menu shown below.

Shape context menu

  • Save allows you to save your shape when you have finished editing it
  • Save Layout will save all the shapes and their arrangement on your desktop into a layout. Please refer to the Layout section for more information.
  • Clone allows you to create a copy of the shape
  • Edit Text allows you to edit the shape's text (message, font color and font style)
  • Edit Image allows you to edit the shape's image (background, border and cutout region)
  • Edit Transparency allows you to make the shape semi-transparent
  • Resize lets you change the width and height of your window
  • Anti-Alias lets you adjust the rendering quality of the shape; a higher quality shape will take more time to draw
  • Close will close/hide the shape on your desktop
  • Close All will close all shapes on your desktop
  • Refresh will redraw the shape

Edit Text

Text Properties window

Example of a screen annotation outlined for text editing

Notice the text is surrounded by a dotted rectangle after you have chosen the Edit Text command. You can move and resize the dotted rectangle by dragging it with your mouse.

Clicking on the Font Button allows you to choose the Font Name, Font Style (Bold, Italic, Underline) and Font Color of the shape's text. The three buttons are used for setting the alignment of text. The Choose Language / Encoding button allows you to choose an appropriate font for your language if it is non-Western (English, French, German etc). This feature is available only on Windows 2000 and XP.

Edit Image

Select Edit Image from the context menu to change the text of the shape.

Edit image dialog

The Cutout / Transparent Region allow you to create non-rectangular windows. It refers to the region that allows the background to show through. There are two methods to create a cutout region:

  1. By transparency color

    All areas of the image with the specified transparency color will be made transparent. For example, if the transparency color is Black, the image Original image will be transformed into Resultant image

  2. By using a predefined shape

    Currently, the predefined shapes are round-rectangle, ellipse and rectangle. For example, a round-rectangle cutout region for the image Original image will be something like Resultant image

For a predefined cutout region, you can add a border, and set the color and size of the border.

You can set the Background color for a shape if the shape does not have an image. Otherwise, you can click the Load New Image button to change the background image to a new file. The file formats that are accepted are BMP, GIF and JPEG.

Edit Transparency

Select Edit Transparency from the context menu to change the shape's transparency. This feature is available only in Windows 2000 and XP.

Edit Transparency dialog

Screen annotation example with transparency

Note that recording a transparent window will cause the frame rate to drop significantly. You will also have to enable the Program Options->Capture Translucent / Layered Window setting for the shape to be properly captured into the AVI movie.

Resizing Shapes

Select Resize from the context menu to resize the shape.

Resize annotation dialog

Note that a shape with a large size will be drawn and displayed very slowly.

Managing & Creating Shapes

In the Screen Annotations dialog box, right click on an item to display a context menu for managing and creating shapes.

Screen annotations dialog with context menu shown

You can create a new shape by choosing the New Shape command and you can Copy, Paste or Remove shapes in the Screen Annotations dialog box using these commands. You can also rename a shape by choosing the Edit Shape Name command or selecting a shape and pressing F2.

You can rearrange the order of the shapes in the list by dragging a shape onto another. For example, to switch the order of the 'Flat Text' and 'Dialog', simply drag 'Dialog' onto the 'Flat Text' item.

The Shape Library menu lets you:

  1. Save all your existing shapes into a file
  2. Load a shape library file into the Screen Annotations dialog box and
  3. Create a new (empty) shape library

Shape library context menu

Note: In the event your default shape library file CamShapes.ini gets corrupted and is unable to load on startup, you can restore the default shapes by opening the file default.shapes in the installed directory of CamStudio.

The New Shape command will launch a dialog box where you can specify the:

  1. Name of the new shape
  2. Image of the new shape
  3. Size of the new shape and its
  4. Initial text

New shape dialog

Layouts

A layout is just the arrangement of one or more shapes on your desktop. An example is shown below:

You usually prepare all your layouts before recording starts. When you start recording, you will click a hotkey/shortcut key to cycle through the layouts to display the appropriate captions at the proper time.

You can mange your layout by clicking on the layout tab of the Screen Annotations dialog.

Screen Annotations layout tab

  • Select a layout and right-click on it to display a context menu for managing the layouts.
  • You can rename a layout by choosing the Edit Layout Name command or selecting a layout and press F2.
  • You can rearrange the order of the layouts in the list by dragging a layout onto another. For example, to switch the order of the 'Layout 1' and 'Layout 2', simply drag 'Layout 1' onto the 'Layout 2' item.
  • You use the Copy Layout, Paste Layout and Remove Layout commands to copy, paste and remove layouts in the Screen Annotations dialog box.
  • The Layout Library command lets you:
    1. Save all your existing shapes into a file
    2. Load a shape library file into the Screen Annotations dialog box
    3. Create a new (empty) shape library

Instantiating Layouts

You instantiate a layout by simply double clicking on the layout item or drag it out of the Screen Annotations dialog box. By doing so, all the shapes that are saved into the layout will be displayed on the desktop in their correct order and position.

Saving Layouts

To save a layout, first, arrange your shapes in their correct position and order. Right click on any of the shapes to bring up a context menu, and select the Save Layout command.

Cycling Through Layouts

You can cycle through the layouts by clicking the Next Layout key in the Screen Annotations dialog box. Every click will close all existing shapes on the desktop and instantiate a new layout. Alternatively, you can use a hotkey / keyboard shortcuts to perform the cycling. To customize the keys for navigating the layouts, you can choose Options->Keyboard Shortcuts from the main menu or Objects->Layout Shortcuts from the Screen Annotations menu.

Layout Shortcuts

The keys for cycling through the layouts are:

  • Next Layout Key - key for displaying the next layout
  • Previous Layout Key - key for displaying the previous layout
  • Show / Hide Layout Key - key for showing / hiding the current layout


Setting Cursor Options

(From the main menu, choose Options->Cursor Options)

Cursor Options window

Setting cursor options can help illustrate the action you are recording by drawing attention to the area where the action happens. The following cursor effects can be selected:

  • Hide Cursor - The cursor will be hidden during screen capture.

  • Show Cursor

    • Use Actual Cursor - The actual shape and position of the cursor will be recorded during screen capture.

    • Use Custom Cursor - Replace the recorded cursor with a customized one.

    • Use Cursor From File - Replace the recorded cursor with a cursor that is loaded from file.

  • Highlight Cursor - When this option is selected, the recorded cursor will have a highlight area around it. This helps in calling attention to the movements of the cursor. You can set the shape, size and color of the highlight area.


Setting Regions

(From the main menu, choose Region->Region or Fixed Region or Full Screen)

You should set the Input Region before recording. This allows you to define the area and type of video capture. From the main menu, choose Region. There are a few types of regions you can choose:

  1. Region

    Before recording starts, you can define an arbitrary rectangular region with the mouse. The cursor turns into a pen on cross-hairs, which you use to define a rectangular region on your screen by click-dragging the left mouse button.

  2. Fixed Region...

    Fixed region dialog

    You can capture a fixed-size rectangular region. A dialog allows you to define the size of the region in pixels.

    • If the Fixed Top-Left Corner checkbox is not selected, before the recording starts, you can move the fixed-size region around the screen to determine where you want the input area to be. To cancel recording, you can click the right mouse button.

    • If the Fixed Top-Left Corner checkbox is selected, recording will start immediately when the Record Button [image] is clicked. The region of capture is specified by the Left, Top, Width and Height values of the dialog above.

    • If the Drag Corners to Pan checkbox is selected, you can drag either one of the four corners of the recording region (indicated by the flashing rectangle) with your mouse during recording. The mouse cursor will change to a four-pointed arrow when it is over one of the corners. When this happens, click and drag the region to the new location.

  3. Window

    A particular window is captured.

  4. Full Screen

    The entire computer screen is captured.


Setting Video Options

(From the main menu, choose Options->Video Options)

Setting the video options allows you to optimize your video recordings by choosing between the file size, quality and frame rates of your video files.

Video Options dialog

  • Auto Adjust

    Use the Auto Adjust settings to set the Key Frame Rate, Capture Rate and Playback Rate automatically through the slider. Shift the slider to the left to increase the frame rate and to the right to reduce file size. If the slider is situated at the right of the Time Lapse indicator, it means you are creating a time-lapse movie. In Time Lapse mode, CamStudio will usually capture a frame only after a long period of time. (Example: after every 30 seconds). However, during playback, the frames will be displayed more quickly. (Example: at 20 frames per second).

  • Compressor

    The Compressor select-box allows you to select the encoder for your AVI file. An encoder compresses your AVI files to make them smaller in size and cause them to play faster. The default setting is the Microsoft Video 1 compressor.

  • Configure

    Click this button to configure the parameters of your selected compressor. The parameters for each compressor is different and some settings will cause CamStudio's performance to degrade or behave unpredictably. For some compressors, clicking this button will not have any effect.

  • Quality

    The quality setting determines how nicely your picture is saved. A lower value means a lower picture quality but also a smaller file size. Only some compressors use this value.

  • Set Key Frames Every

    This setting specifies the keyframe rate. When a frame is saved in an AVI file, they can either be saved as a full frame, or only partially as a difference to the previous frame. The keyframe rate specifies how often full frames are written to the AVI file. A high value means you can fast forward/rewind to a particular frame in your movie much faster. But it also means a higher file size.

  • Capture Frames Every

    This field determines the input frame rate. It dictates how long the CamStudio will 'sleep' after capturing each frame. One millisecond is 1/1000 of a second. If you set this to a large value (for example 1 hour, or 3,600,000 milliseconds), you practically create a time-lapse movie. CamStudio will actually 'sit and watch' for activities on the screen that takes a long time to occur and take a snapshot (say, only once every hour).

  • Playback Rate

    This field determines the output frame rate. It specifies how many frames are played back per second. A higher value means a smoother playback. Typical values of 20 to 30 frames per seconds are adequate for most purposes.


Video Annotations

(From the main menu, choose Tools->Video Annotations)

This feature requires a webcam to be installed on your system. The Video Annotations window is essentially a webcam window. By placing a webcam window on your desktop, you can record its content along with other screen content when the webcam window is inside your recording region.

The Video Annotation window does not only stream video content to your desktop. You can also add a text caption, make a cutout region, or set transparency values (Win 2000 / XP only) to the video annotation just like you did for screen annotations. To do so, right-click on the webcam window to display a menu like this:

Video Annotations context menu

The Edit Text, Edit Image and Edit Transparency commands have already been covered in the section on Screen Annotations and will not be re-explained here.

Refresh Rate

Edit Refresh Rate dialog

The refresh rate indicates the number of times (frames) CamStudio will attempt to capture an image from your webcam and display it on your screen. The actual rate will usually be much lesser, especially for large sized images.

Important:

  • Setting a high refresh rate will degrade the recordings of CamStudio considerably. This is especially true if transparency is turned on. It has been observed that some dialog boxes will not appear when they are selected when the Video Annotation window is shown. To stop the blocking of these dialog boxes, you will need to close the Video Annotation window first.

  • The slowdown in the recording rate will be observed even if the Video Annotations window is not inside the recording region. In fact, the presence of the Video Annotations window will even affect the performance of other programs in your system. Therefore, it is highly advised that you close the Video Annotations window when it is not needed.

  • Sometimes, especially on slower systems, the video of the webcam images will appear to be slightly behind the audio track on playback. This is because the acquisition of an image and its display on the screen is quite demanding on your system resources. The computer will take some time to process the acquired image before showing it on the screen. This latency problem can usually be resolved by:

    1. Choosing a smaller dimension for your video format, or...
    2. Shifting the video track slightly to align it with the audio track. More information can be found in the section Audio & Video Synchronization.

Video Source

You can use the video source dialog to select your webcam or video source for the video annotation. You can also set the brightness, contrast, gain, exposure and other settings related to your webcam video.

Video Format

The video format dialog is used for selecting the dimensions of your webcam or video source image. You can also set the pixel depth and compression (e.g RGB24, RGB32) of your video.

Note: You are advised to choose a small dimension (e.g 160 x 120) for the video format, as a large sized format will slow down your system significantly.

The video source and video format dialog boxes will vary on different systems. Its implementation will very much depend on the vendor of your webcam.